Package com.usatiuk.objects

# Record Class JObjectKeyMax

java.lang.Object
java.lang.Record
com.usatiuk.objects.JObjectKeyMax

All Implemented Interfaces:
  `JObjectKey`, `Serializable`, `Comparable<JObjectKey>`

public record JObjectKeyMax() extends Record implements JObjectKey

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from interface com.usatiuk.objects.JObjectKey

`MAX, MIN`

## Constructor Summary

Constructors
Constructor
Description
`JObjectKeyMax()`
Creates an instance of a `JObjectKeyMax` record class.

## Method Summary

Modifier and Type
Method
Description
`int`
`compareTo(JObjectKey o)`
`final boolean`
`equals(Object o)`
Indicates whether some other object is "equal to" this one.
`final int`
`hashCode()`
Returns a hash code value for this object.
`ByteBuffer`
`toByteBuffer()`
`final String`
`toString()`
Returns a string representation of this record class.
`String`
`value()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### JObjectKeyMax

public JObjectKeyMax()
Creates an instance of a `JObjectKeyMax` record class.

## Method Details

### compareTo

public int compareTo(JObjectKey o)

Specified by:
  `compareTo` in interface `Comparable<JObjectKey>`
Specified by:
  `compareTo` in interface `JObjectKey`

### toByteBuffer

public ByteBuffer toByteBuffer()

Specified by:
  `toByteBuffer` in interface `JObjectKey`

### value

public String value()

Specified by:
  `value` in interface `JObjectKey`

### toString

public final String toString()
Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.

Specified by:
  `toString` in interface `JObjectKey`
Specified by:
  `toString` in class `Record`
Returns:
  a string representation of this object

### hashCode

public final int hashCode()
Returns a hash code value for this object. The value is derived from the hash code of each of the record components.

Specified by:
  `hashCode` in class `Record`
Returns:
  a hash code value for this object

### equals

public final boolean equals(Object o)
Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal.

Specified by:
  `equals` in class `Record`
Parameters:
  `o` - the object with which to compare
Returns:
  `true` if this object is the same as the `o` argument; `false` otherwise.